package cn.superdesk.uniorder.dubbo.consumer.operation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssuesFlowing;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingParam;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesFlowingQueryCriteria;
import cn.superdesk.uniorder.dto.vo.operation.UnifiedOrderIssuesFlowingVo;
import cn.superdesk.uniorder.dubbo.facade.operation.DubboUnifiedOrderIssuesFlowingService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 问题订单-流水记录
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-06-25 14:22:13
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-06-25 14:22:13
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class UnifiedOrderIssuesFlowingDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboUnifiedOrderIssuesFlowingService dubboUnifiedOrderIssuesFlowingService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(UnifiedOrderIssuesFlowingParam param) {

		dubboUnifiedOrderIssuesFlowingService.addObj(param);

	}

	public void updateObj(UnifiedOrderIssuesFlowingParam param) {

		dubboUnifiedOrderIssuesFlowingService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboUnifiedOrderIssuesFlowingService.deleteObj(id);
	}

	public UnifiedOrderIssuesFlowing findById(Long id) {

		return dubboUnifiedOrderIssuesFlowingService.findById(id);
	}

	public PageInfo<UnifiedOrderIssuesFlowing> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboUnifiedOrderIssuesFlowingService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<UnifiedOrderIssuesFlowing> findAll(Map<String, Object> queryMap) {

		return dubboUnifiedOrderIssuesFlowingService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addUnifiedOrderIssuesFlowing(UnifiedOrderIssuesFlowingParam param) {

		dubboUnifiedOrderIssuesFlowingService.addUnifiedOrderIssuesFlowing(param);
	}


	public void updateUnifiedOrderIssuesFlowing(UnifiedOrderIssuesFlowingParam param) {

		dubboUnifiedOrderIssuesFlowingService.updateUnifiedOrderIssuesFlowing(param);
	}


	public void deleteUnifiedOrderIssuesFlowing(Long id) {
		dubboUnifiedOrderIssuesFlowingService.deleteUnifiedOrderIssuesFlowing(id);
	}


	public UnifiedOrderIssuesFlowing findUnifiedOrderIssuesFlowingById(Long id) {

		return dubboUnifiedOrderIssuesFlowingService.findUnifiedOrderIssuesFlowingById(id);
	}


	public R<List<UnifiedOrderIssuesFlowingVo>> pageQuery(UnifiedOrderIssuesFlowingQueryCriteria queryCriteria, int pageNun, int pageSize) {

		return dubboUnifiedOrderIssuesFlowingService.pageQuery(queryCriteria, pageNun, pageSize);
	}
}
